import { Component, OnInit, AfterViewInit, ViewChild } from '@angular/core';
import { IgxGridComponent } from "igniteui-angular";
import { DATA } from "./data";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit, AfterViewInit {
  public data: any[]; 

  @ViewChild("grid1", { read: IgxGridComponent, static: true })
  public grid1: IgxGridComponent;

  public ngOnInit() {
    this.data = DATA;
  }

  public ngAfterViewInit() {
    this.grid1.columnList.forEach(column => {
      column.autosize(true);
    });
  }
}
